Delete webhook
curl --request DELETE \
--url https://api.teleship.com/api/webhooks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.teleship.com/api/webhooks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teleship.com/api/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"enabledEvents": [
"*"
],
"secret": "<string>",
"enabled": true,
"description": "<string>",
"metadata": {}
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}Shipping services
Delete webhook
Delete a webhook endpoint, stopping all event notifications to that URL.
Use this to:
- Remove outdated or compromised endpoints
- Manage your integrations and event subscriptions
DELETE
/
api
/
webhooks
/
{id}
Delete webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Unique identifier for the object.
The URL of the webhook endpoint.
The list of events to enable for this endpoint.
Available options:
*, label.generated, shipment.updated, manifest.created, document.uploaded, taxes.collection.ready, taxes.collection.updated, taxes.collection.cancelled, taxes.collection.exception, product.classification.complete, product.updated The endpoint’s secret, used to generate webhook signatures. Only returned at creation.
The status of the webhook. It can be enabled or disabled.
An optional description of what the webhook is used for.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Was this page helpful?